#ifndef SEGMENT_FUNCTIONS_H
#define	SEGMENT_FUNCTIONS_H
//------------------------------------------------------------------------------
#include "Segments_Prototypes.h"
#include "74HC595.h"
//------------------------------------------------------------------------------
void segment_display(int number)
{    
  char numLen[10];                          //Character buffer (see itoa prototype)
  char* strNum = itoa(numLen,number,10);    //Change from Int to C-String (stdlib function)
  
  char size = strlen(strNum);               //<string.h> function
  char offset = noDigits - size;
  
  for(char pos=0; pos < size; pos++)
  {
    char index = strNum[pos] - 48;          //Decimal 48 is 0 in ASCII
    
    SR_dataSend(digit[index]);
    SR_colSelect(pos + offset);
  }
}
//------------------------------------------------------------------------------
#endif